Extensions
List Extensions
List the installed extensions and their configuration in the project.
Responses
Whether or not the extension is enabled.
Unique identifier of the extension.
Name of the bundle the extension is in.
Type of the extension. One of 'interface', 'display', 'layout', 'module', 'panel', 'hook', 'endpoint', 'operation', `'bundle'.
Whether the extension exists in the local extensions folder or is loaded from node_modules.
The currently loaded version of the plugin as defined by its package.json.
Whether or not a bundles entries can be individually disabled. This is applicable to bundle type extensions only.
{
"name": "my-bundle-operation",
"bundle": "directus-extension-my-bundle",
"schema": {
"type": "operation",
"local": true,
"version": "1.0.0"
},
"meta": {
"enabled": true
}
}
import { createDirectus, rest, readExtensions } from '@directus/sdk';
const client = createDirectus('directus_project_url').with(rest());
const result = await client.request(readExtensions());
{
"data": [
{
"bundle": "my-bundle"
}
]
}Delete an Extension
Delete an installed extension by its unique identifier.
Query Parameters
Unique identifier for the object.
Responses
// Not supported in Directus SDK
Update an Extension
Update the configuration of an installed extension (e.g. enable or disable it).
Query Parameters
Unique identifier for the object.
Request Body
Directus metadata for the extension. Where the configuration for the extension in the current project is stored.
Whether or not the extension is enabled.
Responses
Whether or not the extension is enabled.
Unique identifier of the extension.
Name of the bundle the extension is in.
Type of the extension. One of 'interface', 'display', 'layout', 'module', 'panel', 'hook', 'endpoint', 'operation', `'bundle'.
Whether the extension exists in the local extensions folder or is loaded from node_modules.
The currently loaded version of the plugin as defined by its package.json.
Whether or not a bundles entries can be individually disabled. This is applicable to bundle type extensions only.
{
"name": "my-bundle-operation",
"bundle": "directus-extension-my-bundle",
"schema": {
"type": "operation",
"local": true,
"version": "1.0.0"
},
"meta": {
"enabled": true
}
}
// Not supported in Directus SDK
{
"data": {
"bundle": "my-bundle"
}
}List Registry Extensions
Search the Directus extension marketplace registry. Admin only.
Query Parameters
Filter by items that contain the given search query in one of their fields.
A limit on the number of objects that are returned.
How many items to skip when fetching data.
How to sort the returned items. sort is a CSV of fields used to sort the fetched items. Sorting defaults to ascending (ASC) order but a minus sign (-) can be used to reverse this to descending (DESC) order. Fields are prioritized by their order in the CSV.
Select items in collection by given conditions.
Responses
// Not supported in Directus SDK
{
"data": [
{}
]
}Install Extension from Registry
Install an extension from the Directus marketplace registry by its ID and version. Admin only.
Request Body
Registry extension UUID.
Version string to install (e.g. 1.2.3).
Responses
// Not supported in Directus SDK
Reinstall Extension from Registry
Reinstall a previously installed registry extension, fetching the latest files for its current version. Admin only.
Request Body
Registry extension UUID.
Responses
// Not supported in Directus SDK
Uninstall Extension from Registry
Uninstall a registry-installed extension by its unique identifier. Admin only.
Query Parameters
Unique identifier for the object.
Responses
// Not supported in Directus SDK